# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-gallery
%global srcname sphinx_gallery

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.19.0
Release:        %mkrel 1
Summary:        Sphinx extension to automatically generate an examples gallery
Group:          Development/Python
License:        3-clause BSD
URL:            https://pypi.org/project/sphinx-gallery
Source0:        %{pypi_source %{srcname}}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Sphinx extension that builds an HTML gallery of examples from any set of
Python scripts.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-sphinx_gallery}
Provides:       python3-sphinx_gallery = %{version}-%{release}

%description -n python3-%{pypi_name}
Sphinx extension that builds an HTML gallery of examples from any set of
Python scripts.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_gallery

# No need for copy_sphinxgallery.sh
rm -r %{buildroot}%{_bindir}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 0.19.0-1.mga10
+ Revision: 2156727
- new version: 0.19.0
- rebuild for python 3.13

* Sun Dec 22 2024 papoteur <papoteur> 0.15.0-2.mga10
+ Revision: 2129039
- add and use pytest

* Tue Dec 26 2023 wally <wally> 0.15.0-1.mga10
+ Revision: 2021966
- new version 0.15.0
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 0.10.1-3.mga9
+ Revision: 1823106
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 0.10.1-2.mga9
+ Revision: 1781236
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 0.10.1-1.mga9
+ Revision: 1771357
- version 0.10.1

* Mon Mar 15 2021 wally <wally> 0.8.2-2.mga9
+ Revision: 1703392
- rebuild for python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 0.8.2-1.mga9
+ Revision: 1695270
- new version 0.8.2

* Mon Sep 14 2020 guillomovitch <guillomovitch> 0.8.1-1.mga8
+ Revision: 1626569
- new version 0.8.1

* Sat May 30 2020 wally <wally> 0.7.0-1.mga8
+ Revision: 1589084
- new version 0.7.0

* Tue May 19 2020 wally <wally> 0.6.2-1.mga8
+ Revision: 1586225
- new version 0.6.2

* Sat Apr 11 2020 wally <wally> 0.6.1-1.mga8
+ Revision: 1566391
- new version 0.6.1

* Tue Feb 18 2020 umeabot <umeabot> 0.5.0-2.mga8
+ Revision: 1538592
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 wally <wally> 0.5.0-1.mga8
+ Revision: 1462508
- new version 0.5.0

* Mon Sep 16 2019 daviddavid <daviddavid> 0.3.1-3.mga8
+ Revision: 1442121
- rebuild for python3.8

* Sat Jul 20 2019 wally <wally> 0.3.1-2.mga8
+ Revision: 1423112
- drop python2 support

* Sun Apr 14 2019 wally <wally> 0.3.1-1.mga7
+ Revision: 1389960
- new version 0.3.1

* Sat Jan 12 2019 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1355689
- pyp2rpm

